import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/form_list_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/form_list_entity.g.dart';

@JsonSerializable()
class FormListEntity {
  String? id;
  @JSONField(name: "online_form_type_id")
  String? typeId;
  String? icon;
  String? name;
  double price = 0;
  double deposit = 0;
  String? description;

  FormListEntity();

  factory FormListEntity.fromJson(Map<String, dynamic> json) => $FormListEntityFromJson(json);

  Map<String, dynamic> toJson() => $FormListEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
